Automatically launched setup:
-# rocci-server
+# rocci-server-apache
a2enmod ssl
a2ensite occi-ssl
service apache2 restart
Depends:
bundler, git, memcached, ruby | ruby-interpreter
${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
-Recommends: libapache2-mod-passenger (>= 4.0.29), apache2-mpm-worker
+Suggests: rocci-server-apache
Description: Ruby OCCI Server
OCCI (the Open Cloud Computing Interface) is a standard by the Open Grid Forum,
specifying a protocol and API to perform various remote management tasks in
natively, with its own OCCI interface. It is based on the rOCCI (Ruby OCCI)
Framework.
+Package: rocci-server-apache
+Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ rocci-server (= ${binary:Version}), apache2-mpm-worker,
+ libapache2-mod-passenger (>= 4.0.29),
+ ${misc:Depends}
+Description: Ruby OCCI Server for Apache
+ OCCI (the Open Cloud Computing Interface) is a standard by the Open Grid Forum,
+ specifying a protocol and API to perform various remote management tasks in
+ clouds. The rOCCI-server extends cloud managers, which are not OCCI-compliant
+ natively, with its own OCCI interface. It is based on the rOCCI (Ruby OCCI)
+ Framework.
+ .
+ This package contains configuration files, setup scripts, and dependencies for
+ running rOCCI server in Apache.
+
Package: rocci-server-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
+++ /dev/null
-# no FHS support, just point /etc/rocci-server to proper place
-usr/lib/rocci-server/etc etc/rocci-server
--- /dev/null
+debian/etc .
+debian/occi-ssl etc/apache2/sites-available
exit 0
fi
-conf="/etc/apache2/sites-available/occi-ssl"
-econf="/etc/apache2/sites-enabled/occi-ssl"
-hname=`hostname -f` || hname=""
reload_apache()
}
-# logs
-chown -R nobody:nogroup /usr/lib/rocci-server/log
-
# hostname in configuration
-if [ -n "$hname" ]; then
+conf="/etc/apache2/sites-available/occi-ssl"
+hname=`hostname -f`
+if [ $? -eq 0 -a -n "$hname" ]; then
sed -i \
-e "s,^\(\s*ServerName\s*\).*,\1$hname," \
-e "s,^\(\s*SetEnv\s*ROCCI_SERVER_HOSTNAME\s*\).*,\1$hname," \
if [ -n "$2" ]; then
# we're upgrading. test if we're enabled, and if so, restart to reload the module.
- if [ -e "$econf" ]; then
+ if [ -e /etc/apache2/sites-enabled/occi-ssl ]; then
reload_apache
fi
exit 0
fi
if [ -e /etc/apache2/apache2.conf ]; then
- a2dissite occi-ssl || :
+ a2dissite occi-ssl >/dev/null || :
fi
exit 0
Guardfile usr/lib/rocci-server
config.ru usr/lib/rocci-server
-# prepare configuration
-debian/occi-ssl etc/apache2/sites-available
debian/occi-ssl usr/lib/doc/rocci-server/examples/etc/apache2/sites-available
-debian/etc .
--- /dev/null
+# no FHS support, just point to proper places
+usr/lib/rocci-server/etc etc/rocci-server
+usr/lib/rocci-server/log var/log/rocci-server
--- /dev/null
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+if [ "$1" != "configure" -a "$1" != "reconfigure" ]; then
+ exit 0
+fi
+
+# logs
+chown -R nobody:nogroup /usr/lib/rocci-server/log
+
+exit 0
--- /dev/null
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+if [ "$1" != "remove" -a "$1" != "purge" ]; then
+ exit 0
+fi
+
+if [ -e /etc/apache2/apache2.conf ]; then
+ a2dissite occi-ssl >/dev/null || :
+fi
+
+exit 0